#ifdef GL_ES
precision highp float;
#endif
attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec4 a_color;

uniform vec2  u_contentSize;

uniform sampler2D u_normalMap;
uniform sampler2D u_normalMap2;

//# 0=r,1=g,2=b,3=a
// uniform float apass_index;
// uniform vec3 u_ambient;


#ifdef GL_ES
varying highp vec4 v_fragmentColor;
varying highp vec2 v_texCoord;
#else
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
#endif

varying vec3 centerpoint;
varying vec2 contentSize;

varying vec2 norCood;
varying vec2 norCood1;
// varying vec3 ambient;

// varying float       pass_index;

// varying vec2 LT;
// varying vec2 RT;
// varying vec2 LB;
// varying vec2 RB;

// varying float ratio_1;
// varying float ratio_2;
 

//平铺率
float flat_rate                 = 6.0;
 

void main()
{
    //gl_Position = CC_PMatrix * a_position;


    float time      = CC_Time.y;

 	
 	  gl_Position   = CC_PMatrix * a_position;	


    v_fragmentColor = a_color;
    v_texCoord 		   = a_texCoord;

  
    

    centerpoint   = vec3(u_contentSize.x/2.0,u_contentSize.y/2.0,0.0);
    contentSize 	= u_contentSize;

    //------------------------------
    /*
    LT        = vec2(0.0,contentSize.y * 0.667);
    RT        = vec2(contentSize.x,contentSize.y * 0.347);
    LB        = vec2(contentSize.x * 0.390,contentSize.y);
    RB        = vec2(contentSize.x,contentSize.y * 0.722);

    ratio_1   = 1.0/(RT.x - LT.x) * (RT.y - LT.y);
    ratio_2   = 1.0/(RB.x - LB.x) * (RB.y - LB.y);
    */
    //==============================
    //滚动纹理坐标
    norCood         = vec2(v_texCoord.x + time * -0.003,v_texCoord.y + time * -0.003);  
    norCood1        = vec2(v_texCoord.x + time * 0.006,v_texCoord.y + time * 0.006);     

    // pass_index      = apass_index;
    // ambient         = u_ambient;
  }