#ifdef GL_ES
precision mediump float;
#endif
attribute vec4 a_position; 
attribute vec2 a_texCoord; 
attribute vec4 a_color; 


varying vec2 waveCood;


#ifdef GL_ES
 varying lowp vec4 v_fragmentColor; 
 varying mediump vec2 v_texCoord; 
#else
 varying vec4 v_fragmentColor;
 varying vec2 v_texCoord; 
#endif 


void main() { 

	float time      = mod(CC_Time.y,256.0); 

 	gl_Position 	= CC_PMatrix * a_position; 
 	v_fragmentColor = a_color; 
 	v_texCoord 		= a_texCoord; 



    waveCood         = vec2(v_texCoord.x + time * -0.001,v_texCoord.y + time * 0.005); 
 } 