#ifdef GL_ES
precision mediump float;
#endif
#ifdef GL_ES
varying lowp vec4 v_fragmentColor;
varying mediump vec2 v_texCoord;
#else
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
#endif

uniform vec2 showCenter;
uniform float len;
uniform float height;
float maxAplha = 1.0;

uniform vec2 centers1;
uniform vec2 centers2;
uniform vec2 centers3;
uniform vec2 centers4;
uniform vec2 centers5;
uniform vec2 centers6;
uniform vec2 centers7;
uniform vec2 centers8;
uniform vec2 centers9;
uniform vec2 centers10;
uniform vec2 centers11;
uniform vec2 centers12;
uniform vec2 centers13;
uniform vec2 centers14;
uniform vec2 centers15;
uniform vec2 centers16;
uniform vec2 centers17;
uniform vec2 centers18;
uniform vec2 centers19;
uniform vec2 centers20;


//是否在椭圆范围内
float checkInEllipse(vec2 center)
{
	//椭圆
	vec2 dis = v_texCoord - center;
	
	float x =  dis.x*dis.x;
	float y =  dis.y*dis.y;
	vec2 xy = vec2(x,y);
	vec2 v = xy * vec2(len,height);
	return v.x+v.y;
}
float alpha2 = maxAplha;

void getAlpha(vec2 point)
{
	vec2 point1 = point;
	if (alpha2 <= 0.51)
	{
		return ;
	}
	if (point1.x <= 0.01 )
	{
		return ;
	}
	float distance1 =  checkInEllipse(point1);
	if (distance1 < 1.0 )
	{
		distance1 = max(distance1,0.5);
		alpha2 = min(alpha2,distance1);
	}
}
void main()
{
	float alpha1 = maxAplha; 
	
	vec4 color = texture2D(CC_Texture0, v_texCoord);
	
	float distance = checkInEllipse(showCenter);
	if  (distance<maxAplha){
		//是否在可视范围内
		alpha1 = distance ;
	}

	getAlpha(centers1);
	getAlpha(centers2);
	getAlpha(centers3);
	getAlpha(centers4);
	getAlpha(centers5);
	getAlpha(centers6);
	getAlpha(centers7);
	getAlpha(centers8);
	getAlpha(centers9);
	getAlpha(centers10);
	getAlpha(centers11);
	getAlpha(centers12);
	getAlpha(centers13);
	getAlpha(centers14);
	getAlpha(centers15);
	getAlpha(centers16);
	getAlpha(centers17);
	getAlpha(centers18);
	getAlpha(centers19);
	getAlpha(centers20);
	

	float alpha3 = min(alpha1,alpha2);
    gl_FragColor    = color * alpha3 ;
}
