#ifdef GL_ES
precision mediump float;
#endif
attribute vec4 a_position; 
attribute vec2 a_texCoord; 
attribute vec4 a_color; 

// 船坞海的高度
uniform float sea_height;
// 舰船的高度
uniform float ship_height;


#ifdef GL_ES
 varying lowp vec4 v_fragmentColor; 
 varying mediump vec2 v_texCoord; 
#else
 varying vec4 v_fragmentColor;
 varying vec2 v_texCoord; 
#endif 

// varying float y_scale;
// varying float y_offset;


void main() { 
 	gl_Position 		= CC_PMatrix * a_position; 
 	v_fragmentColor 	= a_color; 
 	v_texCoord 			= a_texCoord; 

 	// 船坞海的高度
 	// float sea_height 	= 504.0;
 	// 舰船的高度
 	// float ship_height 	= 720.0;

 	// y_scale 			= 1.0;//sea_height / ship_height;
 	// y_offset 			= 0.0;//1.0 - y_scale;
 }