#ifdef GL_ES
precision highp float;
#endif

#ifdef GL_ES
varying highp vec2 v_texCoord;
varying highp vec2 norCoord1;
#else
varying vec2 v_texCoord;
varying vec2 norCoord1;
#endif

uniform sampler2D u_normalMap1;
uniform int u_flagWave;

void main()
{
	if (u_flagWave == 1)
	{
		vec2 normal1Coord = fract(vec2(norCoord1.x, norCoord1.y) * 0.3);		//ͼÿȡֵ
		vec4 normal1 = texture2D(u_normalMap1, normal1Coord);
		
		vec2 blendNormColor = normal1.xy;
		blendNormColor = blendNormColor * 2.0 - 1.0;
		
		vec2 basecoord = v_texCoord + vec2(blendNormColor.x * 0.04,blendNormColor.y * 0.08);	//ͼԭxyƫӰ
		
		/*
		vec2 basecoord;
		basecoord.x = v_texCoord.x;
		basecoord.y = v_texCoord.y + (0.5 + v_texCoord.x) * pow(sin(v_texCoord.x * 6. - CC_Time.y * 6.0), 2.) * .1;
		*/
		gl_FragColor =  texture2D(CC_Texture0, basecoord);
	}
	else
	{
		gl_FragColor =  texture2D(CC_Texture0, v_texCoord);
	}
	//gl_FragColor = texture2D(u_normalMap1, v_texCoord);
}