#ifdef GL_ES
precision mediump float;
#endif

uniform vec4  u_color;
uniform float u_alpha;

#ifdef GL_ES
 varying lowp vec4      v_fragmentColor; 
 varying mediump vec2   v_texCoord; 
#else
 varying vec4 v_fragmentColor;
 varying vec2 v_texCoord; 
#endif 



void main(void) {
    
    vec4 baseSrc            = texture2D( CC_Texture0, v_texCoord );  
    gl_FragColor = baseSrc * u_color * u_alpha;    
}
